Subject: RE: Cygwin RCS Build Instructions (or sometimes ash does not like a.out)
From: "Sprenger, Karel" <[email-masked]>
To: "'Jason Tishler'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Mon, 6 Nov 2000 13:59:59 +0100

Hi,

Thanks for your reply.  With Jeff Hu's reply ("This is because of a problem
in the readlink() function.  Chris checked in a patch on 10/31.") in mind I
upgraded my Cygwin configuration to use gcc 2.95.2-3, fetched the install
script from the URL you provided and renamed install.exe as per your
instructions.  After that the build went linke a charm and RCS is running
great.  Thanks for the help.

Cheers,
Karel

--
Karel Sprenger, senior solution specialist
COMPAQ, Professional Services
Mobile: +31 (6) 5178 5034           Home: +31 (20) 670 0942
E-mail: [email-masked]   Private: [email-masked]
"The best way to have a good idea is to have lots of ideas." - Linus
Pauling

-----Original Message-----
From: Jason Tishler [mailto:[email-masked]]
Sent: Friday, November 03, 2000 20:14
To: Sprenger, Karel
Cc: [email-masked]'
Subject: Re: Cygwin RCS Build Instructions (or sometimes ash does not
like a.out)

Karel,

On Fri, Nov 03, 2000 at 05:21:51PM +0100, Sprenger, Karel wrote:
> Just now I tried to build RCS 5.7 a couple of times using the instructions
> and patches in Jason Tishler's message of Thu, 12 Oct 2000 10:27:45 -0400,
> and everything works fine until the make installcheck step.  Then I get an
> rcs error on the rcs -i -L test which fails with rcs error 0.  Any clues?

Please post some more details like OS (e.g., NT/2000/98), file system
(e.g., FAT, NTFS, CIFS), etc.  The output from cygcheck -s -v -r wouldn't
hurt too.

FYI, I'm only a casual RCS user and have only used it only on NT with NTFS
and CIFS.

> BTW, src/Makefile.in needs another patch as the programs to install end in
> .exe:

Only if you don't have the following installed as install:

ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin/porters/Humblet_Pierr
e_A/install-cygwin-b20-sh

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]